#include <AM2302-Sensor.h>  //knihovna AM2302-Sensor od Frank Häfele v1.3.2 instalovaná v manažeru knihoven
//definice datového pinu senzoru na digitálním 2
#define SENSOR_PIN 2

//inicializace objektu AM2302 na pinu 2
AM2302::AM2302_Sensor am2302{ SENSOR_PIN };

void setup() {
  //zahájení seriové komunikace
  Serial.begin(9600);
  while (!Serial) {
    yield();
  }
  Serial.println("Příklad zapojení senzoru AM2302");

  // ověření zapojení senzoru a zahájení komunikace
  if (am2302.begin()) {
    //pauza před zahájením čtení dat
    delay(3000);
  } else {
    while (true) {
      Serial.println("Error: komunikace nezahájena! Ověřte zapojení senzoru");
      delay(10000);
    }
  }
}

void loop() {
  // čtení dat ze zapojeného senzoru a výpis do seriové komunikace
  auto status = am2302.read();
  Serial.print("\nStatus: ");
  Serial.println(status);
  //teplota
  Serial.print("Teplota: ");
  Serial.println(am2302.get_Temperature());
  //vlhkost
  Serial.print("Vlhkost: ");
  Serial.println(am2302.get_Humidity());
  //čekání před dalším měřením
  delay(3000);
}